/******************************************************************************/
/* (c) 2006 jamie twycross, jpt AT cs.nott.ac.uk                              */
/* released under gnu gpl v2                                                  */
/* misc api                                                                   */
/******************************************************************************/

#ifndef MISC_H
#define MISC_H

#include <stdio.h>
#include <stdint.h>
#include <sys/time.h>
#include <time.h>

#define MAX_LIST_SIZE		10000
extern int randlist[MAX_LIST_SIZE];
extern int randlist2[MAX_LIST_SIZE];

#define zerotime(tv) (((tv).tv_sec || (tv).tv_usec) ? 0 : 1)

void randomise_list(const unsigned int);
void randomise_list_2(const unsigned int);
void randomise_list_fast(const unsigned int);
char *freadline(char *, int, FILE *);
void open_log(char *);
void write_log(char *);
void close_log(void);
void timeval_diff(struct timeval *, struct timeval *, struct timeval *);
double add_noise(double, double);
int sctp_setnonblocking(int);

static inline uint64_t tv2ts(struct timeval *tv)
{
	return (tv->tv_sec * 1000000ULL) + tv->tv_usec;
}

#endif
