/******************************************************************************/
/* (c) 2005 jamie twycross, jpt AT cs.nott.ac.uk                              */
/* released under gnu gpl v2                                                  */
/* tissue client api                                                          */
/******************************************************************************/

#ifndef CLIENT_H
#define CLIENT_H

#include <stdio.h>
#include <stdint.h>

#include "ds.h"

#include <sys/types.h>
#include <sys/socket.h>

#define TS_DEFAULT_PORT	5050  /* default port tissue server listens on */
#define RC_DEFAULT_PORT 5049  /* default port response client listens on */

/* function prototypes */
void connect_ts(const char *addr, uint16_t port, const char *desc);
void connect_tslocal(const char *sockname, const char *desc);
void disconnect_ts(void);
void send_ds(DS *);
void send_message(char *);
void send_time_sync(void);

#endif
